package de.thdeg.grademanager.model;

import javafx.beans.property.SimpleDoubleProperty;
import javafx.beans.property.SimpleStringProperty;

public class EnrollmentProperty {


    private SimpleStringProperty courseProp;
    private SimpleDoubleProperty gradeProp;

    public EnrollmentProperty(Enrollment enrollment) {
        courseProp = new SimpleStringProperty(enrollment.getCourse().getName());
        gradeProp = new SimpleDoubleProperty(enrollment.getGrade());
    }

    public String getCourseProp() {
        return courseProp.get();
    }

    public double getGradeProp() {
        return gradeProp.get();
    }


}
